Subject: bug#14582: 24.3.50.1; Strange overlay behavior, when window-start is inside an overlay.

From: Michael Heerdegen <[email-masked]>
Date: Sat, 12 Feb 2022 23:53:25 +0100

Eli Zaretskii <[email-masked]> writes:

> > IME folding can confuse the eye, and the vertical position of the cursor
> > is one of the main visual anchors - I would want to avoid any scrolling
> > involved to solve this bug.  Which would mean a fix is yet to be found.
>
> I disagree.

> The fix for the problems originally reported here was
> found, and it so far solves all the use cases presented here that
> involve either folding or selective-display.  The fix handles the
> potentially confusing display when folding or selective-display
> settings are changed so that the previous window-start point winds up
> being hidden.

Ok, we have introduced a new variable.  So far it is used nowhere in
Emacs, and it's said to not turn it on by default.  Nothing has actually
changed.  The recipe I had posted behaves the same.  Do I miss
something?

BTW, did you ever use folding?  I think not as often as I do, else you
would have known the issue we are talking about.  My feedback was not
meant to annoy you - I wanted to share my experience as a user.  Didn't
know that that's irrelevant.

> Bottom line: I think this bug should be closed, as the original issues
> were all resolved.  If you disagree, I guess I'll let Lars close it in
> about 10 years from now.

I don't even know what to respond to that.

Michael.